ByteArrayBinding (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client.bind

## Class ByteArrayBinding

- java.lang.Object
- - com.sleepycat.client.bind.ByteArrayBinding

- All Implemented Interfaces:
    EntryBinding<byte[]>

      public class ByteArrayBinding
      extends java.lang.Object
      implements EntryBinding<byte[]>

  A pass-through `EntryBinding` that uses the entry's byte array as the key or data object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArrayBinding()` Creates a byte array binding.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `entryToObject(SDatabaseEntry entry)` Converts a entry buffer into an Object.
    `void` | `objectToEntry(byte[] object, SDatabaseEntry entry)` Converts an Object into a entry buffer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteArrayBinding

          public ByteArrayBinding()

      Creates a byte array binding.

  - ### Method Detail

    - #### entryToObject

          public byte[] entryToObject(SDatabaseEntry entry)

      Description copied from interface: `EntryBinding`
      Converts a entry buffer into an Object.
      Specified by:
        `entryToObject` in interface `EntryBinding<byte[]>`
      Parameters:
        `entry` - is the source entry buffer.
      Returns:
        the resulting Object.

    - #### objectToEntry

          public void objectToEntry(byte[] object,
                                    SDatabaseEntry entry)

      Description copied from interface: `EntryBinding`
      Converts an Object into a entry buffer.
      Specified by:
        `objectToEntry` in interface `EntryBinding<byte[]>`
      Parameters:
        `object` - is the source Object.
        `entry` - is the destination entry buffer.

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.